Package com.pixelmed.dicom

## Class ContentItemFactory.SpatialCoordinatesContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.SpatialCoordinatesContentItem

- All Implemented Interfaces:
    `javax.swing.tree.TreeNode`
  Enclosing class:
    ContentItemFactory

      public class ContentItemFactory.SpatialCoordinatesContentItem
      extends ContentItemWithValue

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected float[]` | `graphicData` |
    `protected java.lang.String` | `graphicType` |

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

      `conceptName, referencedContentItemIdentifier, valueType`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItem

      `relationshipType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpatialCoordinatesContentItem​(ContentItem parent, AttributeList list)` |
    `SpatialCoordinatesContentItem​(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String graphicType, float[] graphicData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConceptValue()` | Get a string representation of the value of the concept.
    `float[]` | `getGraphicData()` | Get the Graphic Data of this content item, if present and applicable.
    `java.lang.String` | `getGraphicType()` | Get the Graphic Type of this content item, if present and applicable.
    `java.lang.String` | `toString()` | Get a human-readable string representation of the content item.

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

      `contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItem

      `addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphicType

          protected java.lang.String graphicType

    - #### graphicData

          protected float[] graphicData

  - ### Constructor Detail

    - #### SpatialCoordinatesContentItem

          public SpatialCoordinatesContentItem​(ContentItem parent,
                                               AttributeList list)

      Parameters:
        `parent` - parent content item to add to
        `list` - the list of attributes for this content item

    - #### SpatialCoordinatesContentItem

          public SpatialCoordinatesContentItem​(ContentItem parent,
                                               java.lang.String relationshipType,
                                               CodedSequenceItem conceptName,
                                               java.lang.String graphicType,
                                               float[] graphicData)
                                        throws DicomException

      Parameters:
        `parent` - parent content item to add to
        `relationshipType` - relationship type
        `conceptName` - coded concept name
        `graphicType` - graphic type
        `graphicData` - graphic data
      Throws:
        `DicomException` - if error in DICOM encoding

  - ### Method Detail

    - #### getConceptValue

          public java.lang.String getConceptValue()

      Description copied from class: `ContentItemWithValue`

      Get a string representation of the value of the concept.

      The exact form of the returned string is specific to the type of ContentItem.

      Specified by:
        `getConceptValue` in class `ContentItemWithValue`
      Returns:
        a String representation of the name and value, or an empty string

    - #### toString

          public java.lang.String toString()

      Description copied from class: `ContentItemWithValue`

      Get a human-readable string representation of the content item.

      Overrides:
        `toString` in class `ContentItemWithValue`
      Returns:
        the string representation of the content item

    - #### getGraphicType

          public java.lang.String getGraphicType()

      Description copied from class: `ContentItem`

      Get the Graphic Type of this content item, if present and applicable.

      Overrides:
        `getGraphicType` in class `ContentItem`
      Returns:
        the graphic type

    - #### getGraphicData

          public float[] getGraphicData()

      Description copied from class: `ContentItem`

      Get the Graphic Data of this content item, if present and applicable.

      Overrides:
        `getGraphicData` in class `ContentItem`
      Returns:
        the graphic type